package com.kmall.common.utils.pingan.properties;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

/**
 * @author Scott Chen
 * @since 1.0
 * 2018-09-27
 */
@Component
public class PinganPayPropertiesConfiguration {
    private static final String PROD = "prod";
    private static final String DEV = "dev";

    @Value("${pay.wx.env}")
    private String evn = PROD;

    @Autowired
    private PinganPayProdProperties pinganPayProdProperties;

    @Autowired
    private PinganPayDevProperties pinganPayDevProperties;

    @Bean
    public PinganPayProperties pinganPayProperties(){
        if (evn.equalsIgnoreCase(PROD)) {
            return pinganPayProdProperties;
        }else {
            return pinganPayDevProperties;
        }
    }

}
